REM INFO: FillFromFile.csc v1.2 (PP10)
REM No copyright!  Created by James Aswell
REM 
REM DESCRIPTION:
REM This script simply allows the user to select a file that will be
REM used to fill the current document. If you have any comments or
REM suggestions, please direct them to: jaswell@pigseye.kennesaw.edu
REM If you have any useful modifications, please make them public so
REM they can be of use to others!
REM
REM Things that need to be implemented:
REM 		A file dialog box with an image preview :)

WITHOBJECT "CorelPhotoPaint.Automation.10"
ON ERROR GOTO ERRORHANDLER

	IF .GetDocumentCount() = 0 THEN
		MESSAGE "This script requires an open document."
		STOP
	ENDIF

REM Uncomment line below and replace the path with one you would
REM like to have the script default to when looking for files.

'SETCURRFOLDER "F:\TileCollection\" 'set the current folder 

	Filename$=GETFILEBOX("All Files|*.*|", "Choose an image...", 0,"")

	IF Filename$ <> "" THEN
		.FillTool 0, 0
			.ToleranceSettings 0, 100, 10, 10, 10
			.FillBitmap Filename$, 32, 32, 0, 0, FALSE, 0, TRUE, FALSE, TRUE, 0, 0
			.Fill 0, 0, TRUE
	ENDIF

END WITHOBJECT

stop

ERRORHANDLER:
SELECT CASE ERRNUM
	CASE 603
		RESUME NEXT
	CASE ELSE
		MESSAGE "Unexpected Error:" + STR(ERRNUM)
		RESUME NEXT
END SELECT
